<?php
/**
 * Created by PhpStorm.
 * User: pc
 * Date: 2021/4/27
 * Time: 15:21
 */

namespace app\template\controller;

use think\facade\Db;
use think\facade\View;
use app\template\model\Cate as CateModel;
use think\facade\Request;
class Article extends Common
{
    public function index($aid){

        $arts=Db::name('archives_id')->where('aid',$aid)->find();
        if (!$arts){
            redirect('/')->send();
            return;
        }
        $cid=$arts['cate_id'];
        $cates=Db::name('arc_cate')->find($cid);



        $arts=Db::name('archives')->alias('a')->join('pics p','a.id=p.aid','LEFT')->group('a.id')->field('a.*,p.pic')->find($aid);


        //查询二级栏目
        $topcid = (new CateModel())->getTopId($cid);
        $topCates = Db::name('arc_cate')->find($topcid);//顶级栏目信息
        $sonCateRes = Db::name('arc_cate')->where(array('pid' => $topcid))->where(array('status' => 1))->select();//更具主栏目ID获取子栏目id
        $pos=(new CateModel())->position($cid);



        $artTmp=$cates['article_tmp'];
        $tempSrc=$this->Conf.'/'.$artTmp;//路径
        //上一页//下一页

        $front=Db::name('archives')->where("id",'>',$aid)->order('id asc')->limit('1')->find();//上一页

        View::assign('front',$front);//上一页
        $after=Db::name('archives')->where("id",'<',$aid)->order('id desc')->limit('1')->find();//下一页
        View::assign('after',$after);//下一页

        View::assign([
            'cid'=>$cid,
            'cates'=>$cates,
            "arts"=>$arts, //获取列表数据
            "topCates"=>$topCates,//顶级栏目信息
            "sonCateRes"=>$sonCateRes,//更具主栏目ID获取子栏目id
            'pos'=>$pos,//当前位置
            'topcid'=>$topCates['id']
        ]);
        return  View::fetch($tempSrc);

    }

}